### Struct

# GtkVnc GrabSequence

#### Description

    struct VncGrabSequence {
      guint nkeysyms;
      guint* keysyms;
    }

No description available.

###### Structure members

`nkeysyms`

  No description available.

`keysyms`

  No description available.

#### Constructors

###### vnc_grab_sequence_new

Creates a new grab sequence from a list of keysym values.

###### vnc_grab_sequence_new_from_string

Creates a new grab sequence from a list of keysym names.

#### Instance methods

###### vnc_grab_sequence_as_string

Convert the grab sequence to a string of keysym names.

###### vnc_grab_sequence_copy

Allocate a new grab sequence struct, initalizing it with a copy of data from `sequence`.

###### vnc_grab_sequence_free

Release memory associated with the grab sequence `sequence`.

###### vnc_grab_sequence_get_nth

Obtain the nth key symbol in the sequence.